Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.button
Class DefaultButtonModel

    java.lang.Object
      nextapp.echo2.app.button.DefaultButtonModel

All Implemented Interfaces:
  java.io.Serializable, ButtonModel

Direct Known Subclasses:
  DefaultToggleButtonModel

    public class DefaultButtonModel

extends java.lang.Object
implements ButtonModel

Default `ButtonModel` implementation.

See Also:
  Serialized Form

Constructor Summary
`DefaultButtonModel()`

Method Summary
`void` | `addActionListener(ActionListener l)` Adds an `ActionListener` to receive notification of user actions, i.e., button presses.
`void` | `doAction()` Notifies the model of the button's action having been invoked.
`void` | `fireActionPerformed(ActionEvent e)` Notifies registered `ActionListener`s of an `ActionEvent`.
`java.lang.String` | `getActionCommand()` Returns the action command.
`protected EventListenerList` | `getEventListenerList()` Returns the local `EventListenerList`.
`void` | `removeActionListener(ActionListener l)` Removes an `ActionListener` from being notified of user actions, i.e., button presses.
`void` | `setActionCommand(java.lang.String actionCommand)` Sets the action command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultButtonModel

    public DefaultButtonModel()

Method Detail

### addActionListener

    public void addActionListener(ActionListener l)

  Description copied from interface: `ButtonModel`
  Adds an `ActionListener` to receive notification of user actions, i.e., button presses.

  Specified by:
    `addActionListener` in interface `ButtonModel`
  Parameters:
    `l` - the listener to add
  See Also:
    `ButtonModel.addActionListener(nextapp.echo2.app.event.ActionListener)`

### doAction

    public void doAction()

  Description copied from interface: `ButtonModel`
  Notifies the model of the button's action having been invoked.

  Specified by:
    `doAction` in interface `ButtonModel`
  See Also:
    `ButtonModel.doAction()`

### fireActionPerformed

    public void fireActionPerformed(ActionEvent e)

  Notifies registered `ActionListener`s of an `ActionEvent`.

  Parameters:
    `e` - The `ActionEvent` to send.

### getActionCommand

    public java.lang.String getActionCommand()

  Description copied from interface: `ButtonModel`
  Returns the action command.

  Specified by:
    `getActionCommand` in interface `ButtonModel`
  Returns:
    the action command
  See Also:
    `ButtonModel.getActionCommand()`

### getEventListenerList

    protected EventListenerList getEventListenerList()

  Returns the local `EventListenerList`.

  Returns:
    the listener list

### removeActionListener

    public void removeActionListener(ActionListener l)

  Description copied from interface: `ButtonModel`
  Removes an `ActionListener` from being notified of user actions, i.e., button presses.

  Specified by:
    `removeActionListener` in interface `ButtonModel`
  Parameters:
    `l` - the listener to remove
  See Also:
    `ButtonModel.removeActionListener(nextapp.echo2.app.event.ActionListener)`

### setActionCommand

    public void setActionCommand(java.lang.String actionCommand)

  Description copied from interface: `ButtonModel`
  Sets the action command.

  Specified by:
    `setActionCommand` in interface `ButtonModel`
  Parameters:
    `actionCommand` - the new action command
  See Also:
    `ButtonModel.setActionCommand(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD